Skip to main content
Identity & Access/ZIAM

ZiamGetLoginRouting

Returns the admin-managed routing rule used by the unified password grant endpoint. Secrets are masked in the response.

GET/api/v1/ziam/login-routing

Operation ID

ZiamGetLoginRouting

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

This API requires no request parameters.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • status
    String

    Status for this resource

    Example: ok

  • data
    Object

    Response payload data

    • namespace
      String

      Namespace for this resource

      Example: auth

    • key
      String

      Configuration or routing key

      Example: loginRouting

    • scopeType
      String

      Scope type for this resource

      Example: global

    • scopeId
      String

      Scope id for this resource

      Example: default

    • schemaVersion
      Integer

      Schema version for this resource

      Example: 1

    • resourceVersion
      Long

      Resource version for this resource

      Example: 1

    • status
      String

      Status for this resource

      Example: active

    • description
      String

      Description for this resource

      Example: A brief description

    • value
      Object

      Value for this resource

      • admin
        ObjectRequired

        Admin for this resource

        • username
          String

          Username for this resource

          Example: admin

        • organization
          StringRequired

          Organization for this resource

          Example: zstack

        • application
          StringRequired

          Application for this resource

          Example: ziam-default-app

        • clientId
          String

          Client id for this resource

          Example: 9f5b7df0-7ca2-47f0-aaf3-657a1b8d2d31

        • clientSecret
          String

          Client secret. GET responses return ****** when a secret exists.

          Example: ******

        • clientSecretRef
          String

          Optional secret reference. env:ZIAM_DEFAULT_LOGIN_CLIENT_SECRET reads from the ZIAM process environment.

          Example: env:ZIAM_DEFAULT_LOGIN_CLIENT_SECRET

      • default
        ObjectRequired

        Default for this resource

        • username
          String

          Username for this resource

          Example: admin

        • organization
          StringRequired

          Organization for this resource

          Example: zstack

        • application
          StringRequired

          Application for this resource

          Example: ziam-default-app

        • clientId
          String

          Client id for this resource

          Example: 9f5b7df0-7ca2-47f0-aaf3-657a1b8d2d31

        • clientSecret
          String

          Client secret. GET responses return ****** when a secret exists.

          Example: ******

        • clientSecretRef
          String

          Optional secret reference. env:ZIAM_DEFAULT_LOGIN_CLIENT_SECRET reads from the ZIAM process environment.

          Example: env:ZIAM_DEFAULT_LOGIN_CLIENT_SECRET